Instalar (construir) matplotlib en mac osx lion

Instalé pynum y scipy (en osx Lion con python 2.7), pero cuando intenté crear matplotlib

git clone https://github.com/matplotlib/matplotlib.git cd matplotlib python setup.py build python setup.py install 

Tengo estos errores:

 /System/Library/Frameworks/ApplicationServices.framework/Frameworks/ATS.framework/Headers/ATSTypes.h:242: error: declaration for parameter 'FMFontDirectoryFilter' but no such parameter src/_macosx.m:5912: error: expected '{' at end of input lipo: can't open input file: /var/folders/qw/pr2f7vq91b3c3ngkxrrqplm8zkv09r/T//ccAgEklo.out (No such file or directory) error: command 'llvm-gcc-4.2' failed with exit status 1 

¿Podría alguien decirme cuál es el problema?

PS Al principio intenté instalarlo de esta manera:

 pip install -e git+https://github.com/matplotlib/matplotlib#egg=matplotlib-dev 

pero no me funcionó

Siempre encuentro este proceso más doloroso de lo que debería ser, pero lo he hecho varias veces y creo que estos pasos deberían ayudarte a configurar:

  1. Obtenga Xcode 4.3.2, se requiere para algunos de los pasos posteriores.
  2. Descargue la última versión de python para OSX desde python.org
  3. Agarra el superpack Scipy .
  4. Desinstale cualquier versión anterior de numpy / matplotlib / scipy que tenga actualmente. Eso incluye hacer cd /Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/site-packages/ y mover cualquier directorio numpy / matplotlib / scipy o huevos a un directorio temporal.
  5. cd ~/Downloads (o donde descargó el script de superpack) y ejecute sh install_superpack.sh . Responda no a la pregunta si are you installing from a repository cloned to this machine o estará confundido acerca de por qué el script sigue fallando.

¡Eso debería ser! Ahora debería poder iniciar la consola de Python e import numpy, scipy, matplotlib .